﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Steema.TeeChart.Styles;
using Steema.TeeChart.Tools;
using System.Collections;

namespace TeeChartBug2
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            ZoomTool zt = new ZoomTool();
            WebChart1.Chart.Tools.Add(zt);
            Line ll = new Line();
            WebChart1.Chart.Series.Add(ll);
            ll.FillSampleValues();
            checkZoom(zt);
        }

        private void checkZoom(ZoomTool zt)
        {
            ArrayList zoomedState = ViewState["Zoomed"] as ArrayList;
            zoomedState = zt.SetCurrentZoom(HttpContext.Current.Request, zoomedState);
            if (zoomedState == null)
                ViewState.Remove("Zoomed");
            else
                ViewState["Zoomed"] = zoomedState;
        }
    }
}
